# Flute - API Reference Guide

Last updated: 6.24.2026 5:38 AM


Version: V1

## Servers

Sandbox environment
```
https://sandbox.api.flute.com
```

Production environment
```
https://api.flute.com
```

## Security

### Bearer

Specify the authorization token.

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Flute - API Reference Guide](https://developer.flute.com/_bundle/api-reference/@v1/index.yaml)

## Getting Started

 - [Creating a Flute Account](https://developer.flute.com/api-reference/getting-started/creating-a-flute-account.md): ### Creating a Flute Account <h1 style="margin-top: -12px; margin-bottom: 4px;"></h1> Before using Flute payment capabilities or the Flute API suite, you must create a Flute sandbox account. All devel
 - [Developing in the Sandbox Environment](https://developer.flute.com/api-reference/getting-started/developing-in-the-sandbox-environment.md): ### Developing in the Sandbox Environment The sandbox account is a fully isolated account that mirrors production behavior. It does not process real transactions. Use the sandbox for all testing and a
 - [Going Live](https://developer.flute.com/api-reference/getting-started/going-live.md): ### Going Live When your product is ready to be deployed live, the Flute support team will work with you to ensure compliance. This compliance follows the production readiness checklist. It ensures th
## API Suite Fundamentals

 - [BaseURL Environments](https://developer.flute.com/api-reference/api-suite-fundamentals/baseurl-environments.md): ### BaseURL Environments Flute provides different environments to run endpoints <a id="urlbases"></a> **Sandbox**<br> The sandbox environment is for development and testing. No payments, charges, or i
 - [Payment Flow](https://developer.flute.com/api-reference/api-suite-fundamentals/payment-flow.md): ### Payment Flow <h1 style="margin-top: -12px; margin-bottom: 4px;"></h1> The following is a generalized workflow.
 - [Approving  a Purchase Request](https://developer.flute.com/api-reference/api-suite-fundamentals/approving-a-purchase-request.md): #### Approving a Purchase Request 1) The customer completes their shopping experience on the merchant's website by selecting the products or services. They navigate to the checkout page on the mercha
 - [Acknowledging a Purchase Request](https://developer.flute.com/api-reference/api-suite-fundamentals/acknowledging-a-purchase-request.md): #### Acknowledging a Purchase Request 1) After the transaction is processed, the processing center sends back a response to the Flute payment gateway. This response includes details of the transaction
 - [Supported Card Types](https://developer.flute.com/api-reference/api-suite-fundamentals/supported-card-types.md): ### Supported Card Types <h1 style="margin-top: -12px; margin-bottom: 4px;"></h1> The following credit cards and formats are supported. - Diners Club: Card numbers are typically 14 or 16 digits long.
 - [Flute-Defined Enums](https://developer.flute.com/api-reference/api-suite-fundamentals/flute-defined-enums.md): ### Flute-Defined Enums <h1 style="margin-top: -12px; margin-bottom: 4px;"></h1> The following are Flute-defined enumerations and indices used in endpoint fields. <details> <summary>Account Holder Typ
## Authorization

 - [POST /oauth2/token](https://developer.flute.com/api-reference/authorization/get-oauth-token.md): <span class="api-endpoint">POST {{<a href="#baseOAuthURL">baseOAuthURL</a>}}/oauth2/token</span> <a id="get-oauth-token"></a> This endpoint obtains or refreshes an API token. The resulting API token m
## ACH Transactions

 - [POST /pay-api/v1/transactions/ach/payment/credit](https://developer.flute.com/api-reference/ach-transactions/paths/~1pay-api~1v1~1transactions~1ach~1payment~1credit/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/ach/payment/credit</span> This endpoint creates a credit ACH (automated clearing house) transaction to trans
 - [POST /pay-api/v1/transactions/ach/payment](https://developer.flute.com/api-reference/ach-transactions/paths/~1pay-api~1v1~1transactions~1ach~1payment/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/ach/payment</span> This endpoint creates an ACH (automated clearing house) transaction to transfer funds fro
 - [POST /pay-api/v1/transactions/ach/{transactionId}/void](https://developer.flute.com/api-reference/ach-transactions/paths/~1pay-api~1v1~1transactions~1ach~1%7Btransactionid%7D~1void/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/ach/{{transactionId}}/void</span> This endpoint voids or cancels an ACH (automated clearing house) transacti
 - [POST /pay-api/v1/transactions/ach/{transactionId}/hold](https://developer.flute.com/api-reference/ach-transactions/paths/~1pay-api~1v1~1transactions~1ach~1%7Btransactionid%7D~1hold/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/ach/{{transactionId}}/hold</span> This endpoint places an ACH (automated clearing house) transaction payment
 - [POST /pay-api/v1/transactions/ach/{transactionId}/unhold](https://developer.flute.com/api-reference/ach-transactions/payapi_v1_transactions_ach_id_unhold.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/ach/{{transactionId}}/unhold</span> This endpoint removes an ACH (automated clearing house) transaction paym
## Categories

 - [GET /pay-int-api/categories](https://developer.flute.com/api-reference/categories/paths/~1pay-int-api~1categories/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/categories</span> This endpoint retrieves a list of category names.
 - [POST /pay-int-api/categories](https://developer.flute.com/api-reference/categories/paths/~1pay-int-api~1categories/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/categories</span> This endpoint creates a new category. Category name must be unique in the merchant account.
 - [PUT /pay-int-api/categories/{categoryId}](https://developer.flute.com/api-reference/categories/paths/~1pay-int-api~1categories~1%7Bcategoryid%7D/put.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-int-api/categories/{{categoryId}}</span> This endpoint updates or edits category information. The category name must be unique in
 - [DELETE /pay-int-api/categories/{categoryId}](https://developer.flute.com/api-reference/categories/paths/~1pay-int-api~1categories~1%7Bcategoryid%7D/delete.md): <span class="api-endpoint">DELETE {{<a href="#urlbases">baseURL</a>}}/pay-int-api/categories/{{categoryId}}</span> This endpoint deletes a category. This category will not be available in the catalog.
## Configurations

 - [GET /pay-api/v1/configurations/payments](https://developer.flute.com/api-reference/configurations/paths/~1pay-api~1v1~1configurations~1payments/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/configurations/payments</span> This endpoint returns a list of payment configurations.
 - [GET /pay-api/v1/configurations/contact-infos](https://developer.flute.com/api-reference/configurations/paths/~1pay-api~1v1~1configurations~1contact-infos/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/configurations/contact-infos</span> This endpoint returns the merchant's detailed information. The list includes contact i
## Customers

 - [GET /pay-api/v1/customers](https://developer.flute.com/api-reference/customers/pay_api_v1_search_customers.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers</span> This endpoint lists the partner's customers. The search can specify filters to better target intended cus
 - [POST /pay-api/v1/customers](https://developer.flute.com/api-reference/customers/pay_api_v1_customers.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers</span> This endpoint creates a customer. The return field `id` is the customerId, also referred to as the *cust
 - [GET /pay-api/v1/customers/{customerId}](https://developer.flute.com/api-reference/customers/pay_api_v1_get_customers_%7Bcustomerid%7D.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers/{{customerId}}</span> This endpoint retrieves the specified customer. <span class="api-seealso">See Also:</span>
 - [PUT /pay-api/v1/customers/{customerId}](https://developer.flute.com/api-reference/customers/pay_api_v1_update_customers_%7Bcustomerid%7D.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers/{{customerId}}</span> This endpoint updates the specified customer's information. <span style="background-color:
 - [DELETE /pay-api/v1/customers/{customerId}](https://developer.flute.com/api-reference/customers/pay_api_v1_delete_customers_%7Bcustomerid%7D.md): <span class="api-endpoint">DELETE {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers/{{customerId}}</span> This endpoint deletes the specified customer. <span class="api-seealso">See Also:</span
 - [POST /pay-api/v1/customers/{customerId}/payment-methods/cards](https://developer.flute.com/api-reference/customers/pay_api_v1_customers_%7Bcustomerid%7D_payment_methods_cards.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers/{{customerId}}/payment-methods/cards</span> This endpoint adds a paymeny method for credit and debit cards.
 - [POST /pay-api/v1/customers/{customerId}/payment-methods/ach](https://developer.flute.com/api-reference/customers/pay_api_v1_customers_%7Bcustomerid%7D_payment_methods_ach.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers/{{customerId}}/payment-methods/ach</span> This endpoint adds a payment method for EFT or ACH (automated clearin
 - [GET /pay-api/v1/customers/{customerId}/payment-methods](https://developer.flute.com/api-reference/customers/pay_api_v1_customers_%7Bcustomerid%7D_payment_methods.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers/{{customerId}}/payment-methods</span> This endpoint lists the partner's customer's payment methods.
 - [PUT /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}](https://developer.flute.com/api-reference/customers/pay_api_v1_put_customers_%7Bcustomerid%7D_payment_methods_%7Bpaymentmethodid%7D.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers/{{customerId}}/payment-methods/{{paymentMethodId}}</span> This endpoint updates the specified customer's payment
 - [DELETE /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}](https://developer.flute.com/api-reference/customers/pay_api_v1_delete_customers_%7Bcustomerid%7D_payment_methods_%7Bpaymentmethodid%7D.md): <span class="api-endpoint">DELETE {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers/{{customerId}}/payment-methods/{{paymentMethodId}}</span> This endpoint deletes the specified payment method.
 - [PUT /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}/make-default](https://developer.flute.com/api-reference/customers/pay_api_v1_customers_%7Bcustomerid%7D_payment_methods_%7Bpaymentmethodid%7D_make_default.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/customers/{{customerId}}/payment-methods/{{paymentMethodId}}/make-default</span> This endpoint sets the specified payment
## Devices

 - [GET /pay-api/v1/devices](https://developer.flute.com/api-reference/devices/pay_api_v1_get_devices.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/devices</span> This endpoint retrieves the list of registered devices.
 - [POST /pay-api/v1/devices](https://developer.flute.com/api-reference/devices/pay_api_v1_create_devices.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/devices</span>
 - [GET /pay-api/v1/devices/{deviceId}](https://developer.flute.com/api-reference/devices/pay_api_v1_devices_%7Bdeviceid%7D.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/devices/{{deviceId}}</span> This endpoint retrieves the specified device.
 - [POST /pay-api/v1/devices/tap-to-pay/jwt](https://developer.flute.com/api-reference/devices/pay_api_v1_devices_tap_to_pay_jwt.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/devices/tap-to-pay/jwt</span>
 - [POST /pay-api/v1/devices/{deviceId}/tap-to-pay/activate](https://developer.flute.com/api-reference/devices/pay_api_v1_devices_%7Bdeviceid%7D_tap_to_pay_activate.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/devices/{{deviceId}}/tap-to-pay/activate</span>
## Invoices

 - [GET /pay-int-api/invoices](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices</span> This endpoint returns a list of invoices for the current merchant. The query parameters are filters used
 - [POST /pay-int-api/invoices](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices</span> This endpoint creates an invoice.
 - [GET /pay-int-api/invoices/{invoiceId}](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}</span>
 - [PUT /pay-int-api/invoices/{invoiceId}](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D/put.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}</span> This endpoint updates a specified invoice. <span style="background-color:#e0e0e0; padding:8
 - [DELETE /pay-int-api/invoices/{invoiceId}](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D/delete.md): <span class="api-endpoint">DELETE {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}</span> Published invoices cannot be deleted.
 - [POST /pay-int-api/invoices/{id}/submit](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Bid%7D~1submit/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}/submit</span>
 - [POST /pay-int-api/invoices/{invoiceId}/ach/submit](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D~1ach~1submit/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}/ach/submit</span>
 - [GET /pay-int-api/invoices/{invoiceId}/calculations](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D~1calculations/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}/calculations</span> This endpoint retrieves calculations for an invoice.
 - [POST /pay-int-api/invoices/publish](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1publish/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/publish</span>
 - [PUT /pay-int-api/invoices/{invoiceId}/cancel](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D~1cancel/put.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}/cancel</span> This endpoint cancels an invoice. Only invoices in published(Due, Past Due) status a
 - [PUT /pay-int-api/invoices/{invoiceId}/mark-as-paid](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D~1mark-as-paid/put.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}/mark-as-paid</span> This endpoint marks an invoice as paid. Only invoices in published(Due, Past D
 - [POST /pay-int-api/invoices/{invoiceId}/send-published-sms-notification](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D~1send-published-sms-notification/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}/send-email-notification</span>
 - [GET /pay-int-api/invoices/{invoiceId}/download-pdf](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D~1download-pdf/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}/download-pdf</span> This endpoint downloads the specified invoice as a PDF document. Available onl
 - [POST /pay-int-api/invoices/{invoiceId}/send-email-notification](https://developer.flute.com/api-reference/invoices/paths/~1pay-int-api~1invoices~1%7Binvoiceid%7D~1send-email-notification/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}/send-published-sms-notification</span>
## Invoices Settings

 - [GET /pay-int-api/merchants/{merchantId}/invoices/settings](https://developer.flute.com/api-reference/invoices-settings/paths/~1pay-int-api~1merchants~1%7Bmerchantid%7D~1invoices~1settings/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/merchants/{{merchantId}}/invoices/settings</span>
 - [PUT /pay-int-api/merchants/{merchantId}/invoices/settings](https://developer.flute.com/api-reference/invoices-settings/paths/~1pay-int-api~1merchants~1%7Bmerchantid%7D~1invoices~1settings/put.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-int-api/merchants/{{merchantId}}/invoices/settings</span> This endpoint updates the specified invoice setting. <span style="backg
## Line Items

 - [POST /pay-int-api/line-items](https://developer.flute.com/api-reference/line-items/paths/~1pay-int-api~1line-items/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/line-items</span>
 - [GET /pay-int-api/line-items](https://developer.flute.com/api-reference/line-items/paths/~1pay-int-api~1line-items/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/line-items</span>
 - [PUT /pay-int-api/line-items/{lineItemId}](https://developer.flute.com/api-reference/line-items/paths/~1pay-int-api~1line-items~1%7Blineitemid%7D/put.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-int-api/line-items/{{lineItemId}}</span> This endpoint updates the specified line item. <span style="background-color:#e0e0e0; pa
 - [DELETE /pay-int-api/line-items/{lineItemId}](https://developer.flute.com/api-reference/line-items/paths/~1pay-int-api~1line-items~1%7Blineitemid%7D/delete.md): <span class="api-endpoint">DELETE {{<a href="#urlbases">baseURL</a>}}/pay-int-api/line-items/{{lineItemId}}</span>
 - [GET /pay-int-api/line-items/unit-types](https://developer.flute.com/api-reference/line-items/paths/~1pay-int-api~1line-items~1unit-types/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/line-items/unit-types</span>
## Merchant API Keys

 - [GET /pay-api/v1/merchants](https://developer.flute.com/api-reference/merchant-api-keys/paths/~1pay-api~1v1~1merchants/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/merchants</span> This endpoint lists merchants associated with the authenticated partner (ISV). The following query parame
 - [GET /pay-api/v1/merchants/tokens](https://developer.flute.com/api-reference/merchant-api-keys/paths/~1pay-api~1v1~1merchants~1tokens/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/merchants/tokens</span> This endpoint lists API keys created for merchants under a partner account. The query parameter fi
 - [POST /pay-api/v1/merchants/tokens](https://developer.flute.com/api-reference/merchant-api-keys/paths/~1pay-api~1v1~1merchants~1tokens/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/merchants/tokens</span> This endpoint creates an API key for a merchant managed by their partner account. Provide the Mer
 - [DELETE /pay-api/v1/merchants/tokens/{clientId}](https://developer.flute.com/api-reference/merchant-api-keys/paths/~1pay-api~1v1~1merchants~1tokens~1%7Bclientid%7D/delete.md): <span class="api-endpoint">DELETE {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/merchants/tokens/{{clientId}}</span> This endpoint deletes an API key associated with a merchant under their partner ac
## Payment Sessions

 - [POST /pay-int-api/payment-sessions](https://developer.flute.com/api-reference/payment-sessions/pay_int_api_payment_sessions.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/payment-sessions</span> This endpoint creates a payment session object. The client, typically a frontend or checkout pag
 - [POST /pay-int-api/payment-sessions/{paymentSessionId}/cancel](https://developer.flute.com/api-reference/payment-sessions/paths/~1pay-int-api~1payment-sessions~1%7Bpaymentsessionid%7D~1cancel/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/payment-sessions/{{paymentSessionId}}/cancel</span>
 - [GET /pay-int-api/payment-sessions/{paymentSessionId}](https://developer.flute.com/api-reference/payment-sessions/pay_int_api_payment_sessions_%7Bpaymentsessionid%7D.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/payment-sessions/{{paymentSessionId}}</span> This endpoint retrieves the details of the specified payment session.
## Ping

 - [GET /pay-int-api/ping](https://developer.flute.com/api-reference/ping/paths/~1pay-int-api~1ping/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/ping</span> This endpoint ping endpoint to validate the token is active and valid.
## POS Transactions

 - [GET /pos-api/v1/pos-transactions](https://developer.flute.com/api-reference/pos-transactions/paths/~1pos-api~1v1~1pos-transactions/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pos-api/v1/pos-transactions</span>
 - [POST /pos-api/v1/pos-transactions](https://developer.flute.com/api-reference/pos-transactions/paths/~1pos-api~1v1~1pos-transactions/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pos-api/v1/pos-transactions</span> Initiate a new transaction on the terminal device with predefined information, such as amount and
 - [GET /pos-api/v1/pos-transactions/{id}](https://developer.flute.com/api-reference/pos-transactions/paths/~1pos-api~1v1~1pos-transactions~1%7Bid%7D/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pos-api/v1/pos-transactions/{{posTransactionsid}}</span> Gets POS transaction by ID
 - [POST /pos-api/v1/pos-transactions/{id}/cancel](https://developer.flute.com/api-reference/pos-transactions/paths/~1pos-api~1v1~1pos-transactions~1%7Bid%7D~1cancel/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pos-api/v1/pos-transactions/{{posTransactionsid}}/cancel</span> Cancels a POS transaction by ID
 - [POST /pos-api/v1/pos-transactions/{posTransactionId}/print](https://developer.flute.com/api-reference/pos-transactions/paths/~1pos-api~1v1~1pos-transactions~1%7Bpostransactionid%7D~1print/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pos-api/v1/pos-transactions/{{posTransactionId}}/print</span> This endpoint allows semi-integrated ISVs to trigger a physical reprin
## Quick Payments

 - [POST /pay-int-api/quick-payments/one-time](https://developer.flute.com/api-reference/quick-payments/paths/~1pay-int-api~1quick-payments~1one-time/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/one-time</span> This endpoint creates link for a one-time payment. A one-time is one that can be used onl
 - [GET /pay-int-api/quick-payments/one-time](https://developer.flute.com/api-reference/quick-payments/paths/~1pay-int-api~1quick-payments~1one-time/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/one-time</span> This endpoint lists one-time payment links. The links may be valid or expired. The request
 - [GET /pay-int-api/quick-payments/one-time/{quickPaymentId}](https://developer.flute.com/api-reference/quick-payments/paths/~1pay-int-api~1quick-payments~1one-time~1%7Bquickpaymentid%7D/get.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/one-time/{{quickPaymentId}}</span> This endpoint Retrieves details of a one-time payment. The link may be
 - [POST /pay-int-api/quick-payments/{quickPaymentId}/activate](https://developer.flute.com/api-reference/quick-payments/paths/~1pay-int-api~1quick-payments~1%7Bquickpaymentid%7D~1activate/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/{{quickPaymentId}}/activate</span> This endpoint manually activates a one-time payment link. A created on
 - [POST /pay-int-api/quick-payments/{quickPaymentId}/deactivate](https://developer.flute.com/api-reference/quick-payments/paths/~1pay-int-api~1quick-payments~1%7Bquickpaymentid%7D~1deactivate/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/{{quickPaymentId}}/deactivate</span> This endpoint manually deactivates a one-time payment link. The link
 - [POST /pay-int-api/quick-payments/{quickPaymentId}/send-sms-notification](https://developer.flute.com/api-reference/quick-payments/paths/~1pay-int-api~1quick-payments~1%7Bquickpaymentid%7D~1send-sms-notification/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/{{quickPaymentId}}/send-sms-notification</span> This endpoint sends a one-time payment link to a customer
 - [POST /pay-int-api/quick-payments/reusable](https://developer.flute.com/api-reference/quick-payments/paths/~1pay-int-api~1quick-payments~1reusable/post.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/reusable</span> This endpoint creates link for a quick reusable payment. A reusable payment is one that c
 - [GET /pay-int-api/quick-payments/reusable](https://developer.flute.com/api-reference/quick-payments/paths/~1pay-int-api~1quick-payments~1reusable/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/reusable</span> This endpoint returns a list of reusable links. The links may be valid or expired. The req
 - [GET /pay-int-api/quick-payments/reusable/{quickPaymentId}](https://developer.flute.com/api-reference/quick-payments/paths/~1pay-int-api~1quick-payments~1reusable~1%7Bquickpaymentid%7D/get.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/reusable/{{quickPaymentId}}</span> This endpoint retrieves details of a specified reusable payment. The l
## Settlement Batches

 - [GET /pay-api/v1/settlements/batches](https://developer.flute.com/api-reference/settlement-batches/paths/~1pay-api~1v1~1settlements~1batches/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/settlements/batches</span>
## Subscription

 - [GET /sub-api/v1/subscriptions](https://developer.flute.com/api-reference/subscription/sub_api_v1_list_subscriptions.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions</span> This endpoint returns a list of the merchant's subscriptions.
 - [POST /sub-api/v1/subscriptions](https://developer.flute.com/api-reference/subscription/sub_api_v1_create_subscriptions.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions</span> This endpoint creates a subscription. A subscription is a recurring payment. The client authorizes a
 - [GET /sub-api/v1/subscriptions/{subscriptionId}](https://developer.flute.com/api-reference/subscription/paths/~1sub-api~1v1~1subscriptions~1%7Bsubscriptionid%7D/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions/{subscriptionId}</span> This endpoint retrieves a specified subscription.
 - [GET /sub-api/v1/subscriptions/{subscriptionId}/payments](https://developer.flute.com/api-reference/subscription/paths/~1sub-api~1v1~1subscriptions~1%7Bsubscriptionid%7D~1payments/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions/{{subscriptionId}}/payments</span> This endpoint retrieves a history of payments for a specified subscriptio
 - [PUT /sub-api/v1/subscriptions/{subscriptionId}/terminate](https://developer.flute.com/api-reference/subscription/paths/~1sub-api~1v1~1subscriptions~1%7Bsubscriptionid%7D~1terminate/put.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/sub-api/v1/subscriptions/{{subscriptionId}}/terminate</span> This endpoint terminates, or cancels, an active subscription. This actio
## Terminals

 - [GET /pos-api/v1/terminals](https://developer.flute.com/api-reference/terminals/paths/~1pos-api~1v1~1terminals/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pos-api/v1/terminals</span>
 - [GET /pos-api/v1/terminals/{id}/status](https://developer.flute.com/api-reference/terminals/paths/~1pos-api~1v1~1terminals~1%7Bid%7D~1status/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pos-api/v1/terminals/{{terminalId}}/status</span> Retrieves the current status and details of a terminal device. This endpoint provid
## Transactions

 - [One-Step Operations Workflow](https://developer.flute.com/api-reference/transactions/one-step-operations-workflow.md): #### One-Step Operations Workflow The following procedure is for completing a one-step operation. Authenticate<br> Ensure a valid and current API token is available. This is generated from the partner
 - [Two-Step Operations Workflow](https://developer.flute.com/api-reference/transactions/two-step-operations-workflow.md): #### Two-Step Operations Workflow The following procedure is for completing a two-step operation. Authenticate<br> Ensure a valid and current API token is available. This is generated from the partner
 - [GET /pay-api/v1/transactions](https://developer.flute.com/api-reference/transactions/paths/~1pay-api~1v1~1transactions/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions</span> This endpoint returns a list of transactions details.
 - [GET /pay-api/v1/transactions/{id}](https://developer.flute.com/api-reference/transactions/paths/~1pay-api~1v1~1transactions~1%7Bid%7D/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/{{transactionId}}</span> This endpoint retrieves a specified transaction details. <span class="api-seealso">S
 - [POST /pay-api/v1/transactions/auth](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_auth.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/auth</span> This endpoint authorizes a payment transaction. This verifies that the customer's payment method
 - [POST /pay-api/v1/transactions/sale](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_sale.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/sale</span> This endpoint completes a transaction in a single step. It combines the two actions of authorizi
 - [POST /pay-api/v1/transactions/capture](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_capture.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/capture</span> This endpoint captures a previously authorized transaction. The capture must reference an exi
 - [POST /pay-api/v1/transactions/return](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_return.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/return</span> This endpoint refunds or returns funds from an original transaction identifier. This creates a
 - [POST /pay-api/v1/transactions/return/no-reference](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_return_without_reference.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/return/no-reference</span> This endpoint refunds or returns funds without a reference. Without a reference m
 - [POST /pay-api/v1/transactions/settle](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_settle.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/settle</span> This endpoint settles, or completes, a transaction. A settlement transaction is the step in th
 - [POST /pay-api/v1/transactions/void](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_void.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/void</span> This endpoint voids or cancels a transaction payment before it is processed or settled. The tran
 - [POST /pay-api/v1/transactions/tip-adjustment](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_tip_adjustment.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/tip-adjustment</span> This endpoint adjusts the tip amount. This must be on a previously authorized transact
 - [POST /pay-api/v1/transactions/{id}/send-transaction-receipt-by-sms](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_%7Bid%7D_send_transaction_receipt_by_sms.md): <span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/{{transactionId}}/send-transaction-receipt-by-sms</span> This endpoint sends a transaction receipt to the cu
 - [GET /pay-api/v1/transactions/calculate-amount](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_calculate_amount.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/calculate-amount</span> This endpoint calculates transaction amounts. The amounts are based on the merchant's
## Transaction Settings

 - [GET /pay-api/v1/transactions/settings/autofill](https://developer.flute.com/api-reference/transaction-settings/paths/~1pay-api~1v1~1transactions~1settings~1autofill/get.md): <span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/settings/autofill</span> This endpoint retrieves Level 2 and Level 3 autofill settings.
 - [PUT /pay-api/v1/transactions/settings/autofill](https://developer.flute.com/api-reference/transaction-settings/paths/~1pay-api~1v1~1transactions~1settings~1autofill/put.md): <span class="api-endpoint">PUT {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/settings/autofill</span> This endpoint updates Level 2-Level 3 autofill settings. <span style="background-col
